# Full-Stack-Notes

<div align="center"> <img width="380px" src="pictures/full-stack-notes-logo.png"/> </div>

<div align="center">
	<svg t="1577780270610" class="icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="2072" width="32" height="32"><path d="M842.9 273.6c-2.6-20.6-4.9-37.8-5.4-49-9.7-15.8-27.5-13.4-33.9-1.6-0.6 1-4.1 6-24.6 17-15.7 8.4-36.1 17.6-59.8 28.4-47.4 21.4-106.5 48.1-157.7 82.5-62.2 41.7-100.2 85.9-116.1 135.2-0.9 2.7-1.7 5.5-2.5 8.3l-98.5 299.4c39.3 13.7 86 20.9 139 21.6 0.4 17.8-3.2 36.1-10.8 54.7-3.8 9.3 0.7 20 10 23.8 2.3 0.9 4.6 1.4 6.8 1.4 7.2 0 14-4.3 16.9-11.3 10.5-25.7 13.8-48.7 13.5-68.2 54.2-0.2 102.5-8.1 143.7-23.3 42.9-15.8 79.2-39.9 107.9-71.6 26.8-29.5 47.4-66.2 61.4-109.1 11.8-36 19.2-77.1 22-122.5 5.3-82-5.1-162.4-11.9-215.7zM725 443.3c-233.4 149.3-206.3 339-206.3 339 2.8 27.7-2.2 34-6.8 36.6-4.1 2.4-9 3-13.6 1.7-10.8-3.2-11.6-12.4-11.4-16.6 0.1-1.8 0.1-3.6 0-5.3-4.2-82.6 5.5-101.5 13.8-133.2 4.4-16.9 14.3-33.4 21.5-49.3C576 498.4 682.7 430.7 709.6 415.1c5.1-3 11.2-3.9 16.8-2.1 7.1 2.4 9.1 7.4 9.1 12.4 0.1 7.3-4.3 14-10.5 17.9z" fill="#a1cc66" p-id="2073"></path><path d="M427.4 595.9c0.6-58.2 8.3-71.9 16.4-101.6-4.3-0.5-30.6-39.3-84.8-86-39.3-34-96.2-72.4-160.9-83.3-13.1-2.2-25 8.2-25.7 22.7-0.4 8.5-0.9 17.6-1.4 27.3-5.7 104.1-14.2 261.3 73.4 361.9 16.1 18.5 36.1 33.3 59.4 44.9 45.2 22.6 102.5 33.2 167.6 35.9 16.5 0.7 12.2-0.2 6.4-17-6.4-18.5-20.8-43.9-26.7-67.8-11.8-47.7-24.2-91.1-23.7-137z" fill="#79994c" p-id="2074"></path><path d="M726.4 413c-5.6-1.9-11.7-0.9-16.8 2.1-26.9 15.6-133.6 83.3-187.4 201.1-7.3 15.9-17.1 32.4-21.5 49.3-8.3 31.8-18 50.6-13.8 133.2 0.1 1.8 0 3.6 0 5.3-0.2 4.1 0.6 13.4 11.4 16.6 4.5 1.3 9.5 0.7 13.6-1.7 4.6-2.7 9.6-9 6.8-36.6 0 0-27.1-189.7 206.4-338.9 6.2-4 10.5-10.6 10.5-18 0-5-2.1-10-9.2-12.4z" fill="#FFFFFF" p-id="2075"></path></svg>
	一个处于萌芽阶段的知识库，用于持续分享自己的所见、所学、所思！ 
</div>

# :coffee: JAVA

+ [Java 反射与注解](notes/Java_反射与注解.md)
+ [Java 并发编程](notes/Java_并发编程.md)
+ [Java 设计模式](notes/Java_设计模式.md)
+ [Java 虚拟机](notes/Java_虚拟机.md)



## 💻 前端基础

- [JavaScript 基础](notes/JavaScript_基础.md)
- [ECMAScript 6.0 基础](notes/ES6_基础.md)



## 💾 数据库

### MySQL

+ [MySQL 核心概念](notes/MySQL_基础.md)
+ [MySQL 备份详解](notes/MySQL_备份.md)
+ [MySQL 二进制日志复制、GTID 复制与半同步复制](notes/MySQL_复制.md)
+ [MySQL 高可用架构之 PXC 集群](notes/MySQL_PXC集群.md)
+ [MyCat 读写分离与分库分表](notes/MySQL_Mycat中间件.md)
+ [MySQL 查询性能分析之 Explain](notes/MySQL_EXPLAIN.md)

### Redis

+ [Redis 基本数据类型和常用命令](notes/Redis_数据类型和常用命令.md)
+ [Redis AOF 和 RDB 持久化策略原理](notes/Redis_持久化.md)
+ [Redis 哨兵模式](notes/Redis_哨兵模式.md)
+ [Reids 集群模式](notes/Redis_集群模式.md)

### MongoDB

+ [MongoDB 基础](notes/MongoDB_基础.md)
+ [MongoDB 索引](notes/MongoDB_索引.md)
+ [MongoDB 聚合](notes/MongoDB_聚合.md)
+ [MongoDB 复制](notes/MongoDB_复制.md)
+ [MongoDB 分片](notes/MongoDB_分片.md)



## 📟 操作系统

+ [Linux 常用 Shell 命令](notes/Linux_常用Shell命令.md)
+ [Docker 基础](notes/Docker_基础.md)



##  :books: 常用技术栈


### RabbitMQ

+ [RabbitMQ 核心概念](notes/RabbitMQ_基础.md)
+ [RabbitMQ 客户端开发](notes/RabbitMQ_客户端开发.md)
+ [HAProxy + KeepAlived 搭建 RabbitMQ 高可用集群](notes/RabbitMQ_高可用集群架构.md)

### Nginx

+ [Nginx 基础之静态网站部署，负载均衡，动静分离](notes/Nginx_基础.md)


### Kafka

+ [Kafka 简介](https://github.com/heibaiying/BigData-Notes/blob/master/notes/Kafka简介.md)
+ [基于 Zookeeper 搭建 Kafka 高可用集群](https://github.com/heibaiying/BigData-Notes/blob/master/notes/installation/基于Zookeeper搭建Kafka高可用集群.md)
+ [Kafka 生产者详解](https://github.com/heibaiying/BigData-Notes/blob/master/notes/Kafka生产者详解.md)
+ [Kafka 消费者详解](https://github.com/heibaiying/BigData-Notes/blob/master/notes/Kafka消费者详解.md)
+ [深入理解 Kafka 副本机制](https://github.com/heibaiying/BigData-Notes/blob/master/notes/Kafka深入理解分区副本机制.md)


### ZooKeeper 

+ [ZooKeeper 简介及核心概念](https://github.com/heibaiying/BigData-Notes/blob/master/notes/Zookeeper简介及核心概念.md)
+ [ZooKeeper 单机环境和集群环境搭建](https://github.com/heibaiying/BigData-Notes/blob/master/notes/installation/Zookeeper单机环境和集群环境搭建.md) 
+ [ZooKeeper 常用 Shell 命令](https://github.com/heibaiying/BigData-Notes/blob/master/notes/Zookeeper常用Shell命令.md)
+ [ZooKeeper Java 客户端](https://github.com/heibaiying/BigData-Notes/blob/master/notes/Zookeeper_Java客户端Curator.md)
+ [ZooKeeper  ACL 权限控制](https://github.com/heibaiying/BigData-Notes/blob/master/notes/Zookeeper_ACL权限控制.md)


##  :hammer: 软件安装

+ [Redis 单机环境安装](notes/installation/Redis单机环境搭建.md)
+ [RabbitMQ 单机环境安装](notes/installation/RabbitMQ单机环境搭建.md)
+ [Nginx 单机环境安装](notes/installation/Nginx编译方式安装.md)
+ [MySQL 单机环境安装](notes/installation/MySQL单机环境搭建.md)
+ [MongoDB 单机环境安装](notes/installation/MongoDB单机环境搭建.md)
+ [ElasticSearch + Kibana 单机环境安装](notes/installation/ElasticSearch+Kibana单机环境搭建.md)

<br>

<div align="center"> <img width="200px" src="pictures/blog-logo.png"/> </div>

<div align="center"> <a  href = "">欢迎关注我的博客：https://blog.csdn.net/m0_37809146</a> </div>
